summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author mario2012-01-15 20:11:50 +0100
committer Robby Workman2012-01-15 20:11:50 +0100
commit11bbd00fa4bcfb26f7824da9f067df54883ce5a3 (patch)
tree907cdb300dd515952602bcf468274639dd60e608
parent5e01cadb059ee62d8b818cf60db3a739b3cd8b30 (diff)
downloadslackbuilds-11bbd00fa4bcfb26f7824da9f067df54883ce5a3.tar.gz
system/rar2fs: Added (a FUSE based file system for RAR archives)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--system/rar2fs/README6
-rw-r--r--system/rar2fs/rar2fs.SlackBuild91
-rw-r--r--system/rar2fs/rar2fs.info10
-rw-r--r--system/rar2fs/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/system/rar2fs/README b/system/rar2fs/README
new file mode 100644
index 0000000000..4582f9c55f
--- /dev/null
+++ b/system/rar2fs/README
@@ -0,0 +1,6 @@
+rar2fs is a FUSE based file system that can mount a source RAR archive/volume
+or a directory containing any number of RAR archives and access (read only) the
+contents as plain files/directories. Other files located in the source directory
+are handled transparently.
+
+This requires libunrar.
diff --git a/system/rar2fs/rar2fs.SlackBuild b/system/rar2fs/rar2fs.SlackBuild
new file mode 100644
index 0000000000..e0debadda9
--- /dev/null
+++ b/system/rar2fs/rar2fs.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for rar2fs
+
+# Copyright 2011, mario <mario@slackverse.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=rar2fs
+VERSION=${VERSION:-1.13.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make \
+ CXXFLAGS="$SLKCFLAGS" \
+ UNRAR_SRC=/usr/include/unrar \
+ UNRAR_LIB=/usr/lib${LIBDIRSUFFIX} \
+ FUSE_SRC=/usr/include/fuse
+
+install -D -m 755 mkr2i $PKG/usr/bin/mkr2i
+install -D -m 755 rar2fs $PKG/usr/bin/rar2fs
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/rar2fs/rar2fs.info b/system/rar2fs/rar2fs.info
new file mode 100644
index 0000000000..3ffeba26e6
--- /dev/null
+++ b/system/rar2fs/rar2fs.info
@@ -0,0 +1,10 @@
+PRGNAM="rar2fs"
+VERSION="1.13.0"
+HOMEPAGE="http://rar2fs.googlecode.com/"
+DOWNLOAD="http://rar2fs.googlecode.com/files/rar2fs-1.13.0.tar.gz"
+MD5SUM="112744fe12614acd5c39800f7c1dc68e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="mario"
+EMAIL="mario@slackverse.org"
+APPROVED="rworkman"
diff --git a/system/rar2fs/slack-desc b/system/rar2fs/slack-desc
new file mode 100644
index 0000000000..175f18b4a8
--- /dev/null
+++ b/system/rar2fs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+rar2fs: rar2fs (a FUSE based file system)
+rar2fs:
+rar2fs: rar2fs is a FUSE based file system that can mount a source RAR
+rar2fs: archive/volume or a directory containing any number of RAR archives
+rar2fs: and access (read only) the contents as plain files/directories. Other
+rar2fs: files located in the source directory are handled transparently.
+rar2fs:
+rar2fs: Homepage: http://code.google.com/p/rar2fs/
+rar2fs:
+rar2fs:
+rar2fs: